> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate External Transfer

> Initiate External Transfer



## OpenAPI

````yaml post /v2/transfer
openapi: 3.1.0
info:
  title: FinHost WLB Client API
  description: FinHost WLB Client API
  version: 2.0.0
servers:
  - url: https://client-api.dev.finhost.io
security: []
tags:
  - name: contracts
    description: Contracts
  - name: clients
    description: Clients
  - name: companies
    description: Companies
  - name: accounts
    description: Accounts
  - name: recipients
    description: Recipients
  - name: transfer
    description: Transfer operations
  - name: exchange
    description: Exchange operations
paths:
  /v2/transfer:
    post:
      tags:
        - transfer
      summary: Initiate External Transfer
      description: Initiate External Transfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - amount
                - from
                - payment
              properties:
                amount:
                  description: >-
                    Amount in integer/float string format with maximum 2 decimal
                    places
                  type: string
                  minLength: 1
                  maxLength: 14
                  examples:
                    - '42'
                    - '4.2'
                    - '4.20'
                from:
                  oneOf:
                    - description: Individual account from which the transfer will be made
                      type: object
                      additionalProperties: false
                      required:
                        - type
                        - accountId
                      properties:
                        type:
                          type: string
                          enum:
                            - individual
                        accountId:
                          type: string
                          format: uuid
                    - description: Company account from which the transfer will be made
                      type: object
                      additionalProperties: false
                      required:
                        - type
                        - accountId
                        - companyId
                      properties:
                        type:
                          type: string
                          enum:
                            - company
                        accountId:
                          type: string
                          format: uuid
                        companyId:
                          type: string
                          format: uuid
                payment:
                  oneOf:
                    - description: SEPA transfer
                      type: object
                      additionalProperties: false
                      required:
                        - method
                        - recipient
                      properties:
                        method:
                          type: string
                          enum:
                            - sepa
                        recipient:
                          oneOf:
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient individual
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - name
                                        - surname
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - individual
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - John
                                        surname:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - Doe
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient company
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - companyName
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - company
                                        companyName:
                                          type: string
                                          minLength: 1
                                          maxLength: 140
                                          examples:
                                            - FinHost
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - reference
                                  properties:
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                - description: Recipient persisted
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - type
                                    - key
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - persisted
                                    key:
                                      type: string
                                      format: uuid
                    - description: SEPA Instant transfer
                      type: object
                      additionalProperties: false
                      required:
                        - method
                        - recipient
                      properties:
                        method:
                          type: string
                          enum:
                            - sepa-instant
                        recipient:
                          oneOf:
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient individual
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - name
                                        - surname
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - individual
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - John
                                        surname:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - Doe
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient company
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - companyName
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - company
                                        companyName:
                                          type: string
                                          minLength: 1
                                          maxLength: 140
                                          examples:
                                            - FinHost
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - reference
                                  properties:
                                    reference:
                                      description: SEPA Reference
                                      type: string
                                      pattern: >-
                                        ^(?!(.)\1+$)[A-Za-z0-9
                                        +\/?.:,()-]{2,120}$
                                      examples:
                                        - separeference
                                - description: Recipient persisted
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - type
                                    - key
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - persisted
                                    key:
                                      type: string
                                      format: uuid
                    - description: SWIFT transfer
                      type: object
                      additionalProperties: false
                      required:
                        - method
                        - recipient
                      properties:
                        method:
                          type: string
                          enum:
                            - swift
                        recipient:
                          oneOf:
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SWIFT Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ]{1,35}$
                                      examples:
                                        - swiftreference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient individual
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - name
                                        - surname
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - individual
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - John
                                        surname:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - Doe
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - iban
                                    - bicSwift
                                    - reference
                                    - bankName
                                  properties:
                                    iban:
                                      description: International Bank Account Number (IBAN)
                                      type: string
                                      pattern: ^([A-Z]{2})([0-9]{2})([A-Z0-9]{1,30})$
                                      examples:
                                        - GB33BUKB20201555555555
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    reference:
                                      description: SWIFT Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ]{1,35}$
                                      examples:
                                        - swiftreference
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient company
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - companyName
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - company
                                        companyName:
                                          type: string
                                          minLength: 1
                                          maxLength: 140
                                          examples:
                                            - FinHost
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - reference
                                  properties:
                                    reference:
                                      description: SWIFT Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ]{1,35}$
                                      examples:
                                        - swiftreference
                                - description: Recipient persisted
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - type
                                    - key
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - persisted
                                    key:
                                      type: string
                                      format: uuid
                    - description: UK Faster Payments transfer
                      type: object
                      additionalProperties: false
                      required:
                        - method
                        - recipient
                      properties:
                        method:
                          type: string
                          enum:
                            - ukfp
                        recipient:
                          oneOf:
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - ukAccountNumber
                                    - ukSortCode
                                    - reference
                                  properties:
                                    ukAccountNumber:
                                      description: UK Account Number
                                      type: string
                                      pattern: ^[0-9]{8}$
                                      examples:
                                        - '12345678'
                                    ukSortCode:
                                      description: UK Sort Code
                                      type: string
                                      pattern: ^[0-9]{6}$
                                      examples:
                                        - '123456'
                                    reference:
                                      description: UKFP Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ,.-]{1,18}$
                                      examples:
                                        - ukfpreference
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient individual
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - name
                                        - surname
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - individual
                                        name:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - John
                                        surname:
                                          type: string
                                          minLength: 1
                                          maxLength: 60
                                          examples:
                                            - Doe
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - ukAccountNumber
                                    - ukSortCode
                                    - reference
                                  properties:
                                    ukAccountNumber:
                                      description: UK Account Number
                                      type: string
                                      pattern: ^[0-9]{8}$
                                      examples:
                                        - '12345678'
                                    ukSortCode:
                                      description: UK Sort Code
                                      type: string
                                      pattern: ^[0-9]{6}$
                                      examples:
                                        - '123456'
                                    reference:
                                      description: UKFP Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ,.-]{1,18}$
                                      examples:
                                        - ukfpreference
                                    bicSwift:
                                      description: Bank Identifier Code (BIC) or SWIFT code
                                      type: string
                                      pattern: >-
                                        ^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3})?$
                                      examples:
                                        - BUKBGB22
                                    bankName:
                                      description: Bank name
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                      examples:
                                        - Central Bank
                                - description: Bank recipient company
                                  allOf:
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - type
                                        - companyName
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - company
                                        companyName:
                                          type: string
                                          minLength: 1
                                          maxLength: 140
                                          examples:
                                            - FinHost
                                    - type: object
                                      additionalProperties: false
                                      required:
                                        - bankCountry
                                        - country
                                      properties:
                                        bankCountry:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        country:
                                          type: string
                                          pattern: ^[A-Z]{2,3}$
                                          examples:
                                            - GB
                                        street:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Oxford Street
                                        houseNumber:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '42'
                                        refinement:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - Residence
                                        city:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        region:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - London
                                        postCode:
                                          type: string
                                          minLength: 1
                                          maxLength: 100
                                          examples:
                                            - '00000'
                                        email:
                                          type: string
                                          maxLength: 255
                                          pattern: >-
                                            ^(?!\.)(?!.*\.\.)([a-z0-9_+-\.]*)[a-z0-9_+-]@([a-z0-9][a-z0-9\-]*\.)+[a-z]{2,}$
                                          examples:
                                            - mail@example.com
                            - allOf:
                                - type: object
                                  additionalProperties: false
                                  required:
                                    - reference
                                  properties:
                                    reference:
                                      description: UKFP Reference
                                      type: string
                                      pattern: ^[A-Za-z0-9 ,.-]{1,18}$
                                      examples:
                                        - ukfpreference
                                - description: Recipient persisted
                                  type: object
                                  additionalProperties: false
                                  required:
                                    - type
                                    - key
                                  properties:
                                    type:
                                      type: string
                                      enum:
                                        - persisted
                                    key:
                                      type: string
                                      format: uuid
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - id
                  - operationId
                properties:
                  id:
                    description: Transaction ID
                    type: string
                    format: uuid
                  operationId:
                    description: Operation ID
                    type: string
                    format: uuid
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - description: Amount is too big for this payment method
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Amount is too big for this payment method
                  - description: Account balance is not enough
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Account balance is not enough
                  - description: Account contract is not acceptable
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Account contract is not acceptable
                  - description: Account contracts quota is over provided limits
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Account contracts quota is over provided limits
                  - description: Persisted recipient does not support this payment method
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - >-
                            Persisted recipient does not support this payment
                            method
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                oneOf:
                  - description: Sender has no contract
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Sender has no contract
                  - description: Sender has no access to this account
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Sender has no access to this account
                  - description: Account has no access to this product
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Account has no access to this product
                  - description: Account is not active
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Account is not active
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                oneOf:
                  - description: Sender not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Sender not found
                  - description: Persisted recipient not found
                    type: object
                    additionalProperties: false
                    required:
                      - message
                    properties:
                      message:
                        type: string
                        enum:
                          - Persisted recipient not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````